|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
gameplay::PhysicsSocketConstraint Class Reference

`#include <PhysicsSocketConstraint.h>`

Inheritance diagram for gameplay::PhysicsSocketConstraint:

List of all members.

## Detailed Description

Defines a ball-socket or point-to-point constraint between two rigid bodies (or one rigid body and the world) where rotation is unrestricted about the constraint joint (pivot point).

See also:
  http://gameplay3d.github.io/GamePlay/docs/file-formats.html#wiki-Constraints

All Classes Functions Variables Typedefs Enumerations Enumerator